### File

`packages/eui-mobile/packages/core/src/lib/components/euim-toolbar-datepicker/euim-toolbar-datepicker.component.ts`

### Implements

`OnInit` `OnDestroy`

### Metadata

encapsulation | `ViewEncapsulation.None`
HostDirectives | `BaseStatesDirective` Inputs : color
selector | `euim-toolbar-datepicker`
styleUrls | `./styles/_index.scss`
templateUrl | `euim-toolbar-datepicker.component.html`

### Index

###### Properties

- Public baseStatesDirective
- weekDayName

###### Methods

- calendarDateChanged
- Async dismissModal
- getCssClasses
- updateCurrentDate

###### Inputs

- euimNextBtnDisabled
- euimPrevBtnDisabled
- euimReadOnly
- icon
- selectDateBy
- subTitle
- title

###### Outputs

- dateChanged
- nextBtnClick
- prevBtnClick

###### HostBindings

- class

###### HostListeners

- window:popstate

###### Accessors

- cssClasses
- dateTimeId

### Constructor

`constructor(baseStatesDirective: BaseStatesDirective, translate: TranslateService, modalController: ModalController)`

Parameters :

Name | Type | Optional
baseStatesDirective | `BaseStatesDirective` | No
translate | `TranslateService` | No
modalController | `ModalController` | No

### Inputs

euimNextBtnDisabled
Type : `boolean`

euimPrevBtnDisabled
Type : `boolean`

euimReadOnly
Type : `boolean`

icon
Type : `string`
Default value : `'calendar-clear'`

selectDateBy

subTitle
Type : `string`

title
Type : `string`

### Outputs

dateChanged
Type : `EventEmitter<Date>`

nextBtnClick
Type : `EventEmitter<Date>`

prevBtnClick
Type : `EventEmitter<Date>`

### HostBindings

class
Type : `string`

### HostListeners

window:popstate
Arguments : `'$event'`
`window:popstate()`

### Methods

calendarDateChanged
`calendarDateChanged(event: Event)`

Parameters :

Name | Type | Optional
event | `Event` | No

Returns : `void`

Async dismissModal
`dismissModal()`
Decorators : `@HostListener('window:popstate', ['$event'])`
Returns : `Promise<void>`

getCssClasses
`getCssClasses()`
Returns : `string`

updateCurrentDate
`updateCurrentDate(date: string)`

Parameters :

Name | Type | Optional
date | `string` | No

Returns : `void`

### Properties

Public baseStatesDirective
Type : `BaseStatesDirective`

weekDayName
Type : `string`

### Accessors

cssClasses
get `cssClasses()`

dateTimeId
get `dateTimeId()`

# results matching ""

# No results matching ""